"use strict"; function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunkYTWWXVHZcjs = require('../../chunk-YTWWXVHZ.cjs');


var _chunkTQZBGWCAcjs = require('../../chunk-TQZBGWCA.cjs');


var _chunkVU6O6TP5cjs = require('../../chunk-VU6O6TP5.cjs');
require('../../chunk-FYK4UBPD.cjs');
require('../../chunk-DDS4MYUB.cjs');
require('../../chunk-MTWPH7QT.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-HYXXM5EZ.cjs');
require('../../chunk-HBPY4B5V.cjs');
require('../../chunk-5TCFLJWD.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');



var _chunkDLIQMZDDcjs = require('../../chunk-DLIQMZDD.cjs');
require('../../chunk-YQKI2S5S.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/messages.spec.ts
describe("messages", () => {
  it("should show the magic of proxies ", async () => {
    const p = new Proxy({}, {
      get(_target, _name) {
        return (...args) => {
          return _nullishCoalesce(args[0], () => ( 0));
        };
      }
    });
    expect(await p.ping(await p.ping(2))).toBe(2);
  });
  it("should do hub thing", async () => {
    const key = await _chunkDLIQMZDDcjs.deriveKeyPbkdf2.call(void 0, _chunkDLIQMZDDcjs.randomUint8Array.call(void 0, 20));
    const encoder = new (0, _chunkTQZBGWCAcjs.CryptoEncoder)(key);
    const [clientChannel, serverChannel] = _chunkVU6O6TP5cjs.createLocalChannelPair.call(void 0, );
    const serverHub = _chunkYTWWXVHZcjs.useMessageHub.call(void 0, { channel: serverChannel, encoder });
    serverHub.listen({
      async ping(value) {
        expect(value).toBe(2);
        return value;
      }
    });
    serverHub.listen({
      async aping(value) {
        return new Promise((resolve) => setTimeout(() => resolve(value), 500));
      }
    });
    const clientHub = _chunkYTWWXVHZcjs.useMessageHub.call(void 0, { channel: clientChannel, encoder });
    const client = clientHub.send();
    const x = await client.aping(1);
    const y = await client.aping("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    expect(x).toBe(1);
    expect(y).toBe("H\xE4llo W\u{1F468}\u200D\u{1F469}\u200D\u{1F467}\u200D\u{1F466}rld");
    await client.ping(2);
  });
});
//# sourceMappingURL=messages.spec.cjs.map