"use strict";

var _chunkQP2WGAT6cjs = require('../../chunk-QP2WGAT6.cjs');
require('../../chunk-TQZBGWCA.cjs');


var _chunkVU6O6TP5cjs = require('../../chunk-VU6O6TP5.cjs');
require('../../chunk-FYK4UBPD.cjs');
require('../../chunk-MTWPH7QT.cjs');
require('../../chunk-XTDX3HZA.cjs');
require('../../chunk-HYXXM5EZ.cjs');
require('../../chunk-HBPY4B5V.cjs');
require('../../chunk-5TCFLJWD.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-2BOMVGUQ.cjs');
require('../../chunk-WZOVL24X.cjs');
require('../../chunk-LRK332ID.cjs');
require('../../chunk-DLIQMZDD.cjs');
require('../../chunk-YQKI2S5S.cjs');
require('../../chunk-T5NX3H2C.cjs');
require('../../chunk-33B2TEAZ.cjs');
require('../../chunk-UXNOJAXO.cjs');
require('../../chunk-PEU5ZQVB.cjs');
require('../../chunk-J42M6DF3.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-N43PGEL6.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/msg/pubsub.spec.ts
describe("connection", () => {
  it("should send and receive messages", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkVU6O6TP5cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkQP2WGAT6cjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkQP2WGAT6cjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.on("bla", (a, b) => {
      counter -= b;
    });
    c2.on("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.emit("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.emit("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
  it("should send and receive messages - alternative syntax", async () => {
    expect.assertions(3);
    const [f1, f2] = _chunkVU6O6TP5cjs.createLocalChannelPair.call(void 0, );
    const c1 = _chunkQP2WGAT6cjs.usePubSub.call(void 0, { channel: f1 });
    const c2 = _chunkQP2WGAT6cjs.usePubSub.call(void 0, { channel: f2 });
    let counter = 0;
    c1.subscribe("bla", (a, b) => {
      counter -= b;
    });
    c2.subscribe("bla", (a, b) => {
      counter += b;
      expect(a).toBe("hello");
    });
    await c1.publish("bla", "hello", 3);
    expect(counter).toBe(3);
    await c2.publish("bla", "hello2", 2);
    expect(counter).toBe(1);
  });
});
//# sourceMappingURL=pubsub.spec.cjs.map