"use strict";Object.defineProperty(exports, "__esModule", {value: true});


var _chunkDLIQMZDDcjs = require('./chunk-DLIQMZDD.cjs');



var _chunkYQKI2S5Scjs = require('./chunk-YQKI2S5S.cjs');

// src/common/msg/encoder.ts
var NoopEncoder = class {
  async encode(data) {
    return data;
  }
  async decode(data) {
    return data;
  }
};
var JsonEncoder = class {
  async encode(data) {
    return _chunkYQKI2S5Scjs.jsonToUint8Array.call(void 0, data);
  }
  async decode(data) {
    return _chunkYQKI2S5Scjs.Uint8ArrayToJson.call(void 0, data);
  }
};
var CryptoEncoder = class {
  constructor(key) {
    this.key = key;
  }
  async encode(data) {
    const plain = _chunkYQKI2S5Scjs.jsonToUint8Array.call(void 0, data);
    return await _chunkDLIQMZDDcjs.encrypt.call(void 0, plain, this.key);
  }
  async decode(data) {
    const plain = await _chunkDLIQMZDDcjs.decrypt.call(void 0, data, this.key);
    return _chunkYQKI2S5Scjs.Uint8ArrayToJson.call(void 0, plain);
  }
};





exports.NoopEncoder = NoopEncoder; exports.JsonEncoder = JsonEncoder; exports.CryptoEncoder = CryptoEncoder;
//# sourceMappingURL=chunk-TQZBGWCA.cjs.map